summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/bottleneck/bottleneck-0.8.0.ebuild')
-rw-r--r--dev-python/bottleneck/bottleneck-0.8.0.ebuild40
1 files changed, 40 insertions, 0 deletions
diff --git a/dev-python/bottleneck/bottleneck-0.8.0.ebuild b/dev-python/bottleneck/bottleneck-0.8.0.ebuild
new file mode 100644
index 00000000000..08b21692969
--- /dev/null
+++ b/dev-python/bottleneck/bottleneck-0.8.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} )
+
+inherit distutils-r1
+
+MY_PN="Bottleneck"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Fast NumPy array functions written in Cython"
+HOMEPAGE="http://berkeleyanalytics.com/bottleneck"
+SRC_URI="mirror://pypi/B/${MY_PN}/${MY_P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ dev-python/cython[${PYTHON_USEDEP}]"
+
+S="${WORKDIR}"/${MY_P}
+
+python_prepare_all() {
+ emake cfiles
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ cd "${BUILD_DIR}" || die
+ ${PYTHON} -c "import bottleneck;bottleneck.test(extra_argv=['--verbosity=3'])" || die
+}